From 04dfeea107f81afa50e4888dd7da2f4a9c82d6ee Mon Sep 17 00:00:00 2001
From: Andrea Mazzoleni <amadvance@gmail.com>
Date: Wed, 4 Jan 2017 00:25:56 +0100
Subject: [PATCH] Tentative fix for major/minor missing

---
 cmdline/portable.h | 6 ++++++
 configure.ac       | 1 +
 2 files changed, 7 insertions(+)

diff --git a/cmdline/portable.h b/cmdline/portable.h
index 58826c6..059cd38 100644
--- a/cmdline/portable.h
+++ b/cmdline/portable.h
@@ -198,6 +198,12 @@
 #include <sys/types.h>
 #endif
 
+#if MAJOR_IN_MKDEV
+#include <sys/mkdev.h>
+#elif MAJOR_IN_SYSMACROS
+#include <sys/sysmacros.h>
+#endif
+
 #if HAVE_SYS_STAT_H
 #include <sys/stat.h>
 #endif
diff --git a/configure.ac b/configure.ac
index 125dae9..8f34f43 100644
--- a/configure.ac
+++ b/configure.ac
@@ -31,6 +31,7 @@ AC_HEADER_ASSERT
 AC_HEADER_DIRENT
 AC_HEADER_TIME
 AC_HEADER_SYS_WAIT
+AC_HEADER_MAJOR
 AC_CHECK_HEADERS([fcntl.h stddef.h stdint.h stdlib.h string.h limits.h])
 AC_CHECK_HEADERS([unistd.h getopt.h fnmatch.h io.h inttypes.h byteswap.h])
 AC_CHECK_HEADERS([pthread.h math.h])
